<?php

/**
 * @file
 * Administrative pages and functions for AllPlayers module.
 */

/**
 * Menu callback; Display the settings form for AllPlayers OAuth.
 */
function allplayers_settings_form(&$form_state) {
  $form['allplayers_key'] = array(
    '#type' => 'textfield',
    '#title' => t('Consumer Key'),
    '#size' => 40,
    '#maxlengh' => 50,
    '#description' => t('To enable OAuth based access for AllPlayers.com, you must <a href="@url">register your application</a> with AllPlayers.com and add the provided keys here.', array('@url' => 'http://develop.allplayers.com/oauth.html')) . ' ' . t('Enter your Consumer Key here.'),
    '#default_value' => variable_get('allplayers_key', ''),
  );
  $form['allplayers_secret'] = array(
    '#type' => 'textfield',
    '#title' => t('Consumer Secret'),
    '#size' => 40,
    '#maxlengh' => 50,
    '#description' => t('Enter your Consumer Secret here.'),
    '#default_value' => variable_get('allplayers_secret', ''),
  );

  // TODO: Settings for default group UUID (name?) to join user auth to...

  return system_settings_form($form);
}

/**
 * User settings page for AllPlayers OAuth connection.
 */
function allplayers_user_form($account) {
  return theme('allplayers_user_info', $account);
}

/**
 * Provided themed information about the user's current AllPlayers.com connection.
 */
function theme_allplayers_user_info($account) {
  $uuid = allplayers_uuid_load($account->uid);
  $output = '';
  if ($uuid !== FALSE) {
    $output .= '<p>' . t('Your account is current connected with AllPlayers.com.') . '</p>';
  }
  else {
    $output .= '<p>' . t('Your account is not currently connected with AllPlayers.com. To connect this account to AllPlayers.com, click on the link below.') . '</p>';
    $output .= theme('allplayers_action_connect');
  }

  return $output;
}
